
eServices - Bug #60

Compensation - fields validation 

07/03/2016 12:32 PM - Saja Nakhleh

Status: Closed Start date: 07/03/2016

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 6.00 hours

Co-Workers:  Actual Result: 1- The field "Is Old Planning" is NOT

mandatory

2- If the Owner Type is [GCC Inverstor]

or [Non-Resident Investor] then the ID

NO. value should be 15 digits 

3- If 2 values are selected or more the

submit action will be disabled, the 5th

option is : Missing Aera [spell mistake]

4- the Help message is:

 The Governmental Number can be

selected from this combo box. In case

the land Governmental number related to

your transaction does not exist in the list,

please select Other- Please specify, and

enter the Governmental number

manually.

5- the [Plot Area] field accepts any value

by [Copy/Past]

6- The field label is: Plot Comments

7- The field accepts the Arabic

Alphabetic and numbers

Severity: Normal Environment: Development

Category: Compensation Transaction Number:  

Sub-Category: Submission form - Online Username:  

Step_Description:  Browser:  

Pre_Conditions:  URL:  

Expected Result: 1- The field "Is Old Planning" should be

mandatory (About this point  "Is Old

Planning" check box  is false by defualt ,

so user can check it or no this not

mandatory)

2- If the Owner Type is [GCC Investor] or

[Non-Resident Investor] then the ID NO.

should accept any number of digits 

3- the User can select more than 1

value, the 5th option is : Missing Area

4- The help message is: 

 In case the Governmental Number

related to your application doesn't exist

in the list, please select the option

"Other" and then insert the

Governmental Number manually

5- the [Plot Area] field accepts only the

decimal values

6- The field label is: Plot Remarks

7- The field accepts Only the Arabic

Alphabetic characters  

Test Case ID:  

Description

Steps:
1- Observe the field [Is Old Planning]

2- Observe The accepted number of digits for the [ID NO.] field

3- Observe "The Purpose of Compensation" field, and observe the 5th option

4- Hover over the help message beside the [Governmental Plot Number] field

5- Insert the following value: [$% تجرب] in the [Plot Area (Square Meter)] field

6- Observe the [Plot Remarks] field label

7- Observe the [Owner Name] field

History

#1 - 07/03/2016 12:52 PM - Saja Nakhleh

- Description updated

- Expected Result updated

- Actual Result updated

#2 - 07/03/2016 12:53 PM - Saja Nakhleh

- Assignee set to Saja Nakhleh

#3 - 07/03/2016 02:33 PM - Saja Nakhleh

- Description updated

- Expected Result updated

- Actual Result updated

#4 - 07/03/2016 02:42 PM - Saja Nakhleh

- Description updated

- Expected Result updated

- Actual Result updated

#5 - 07/03/2016 02:47 PM - Saja Nakhleh

- Description updated

- Expected Result updated

- Actual Result updated

#6 - 07/03/2016 03:12 PM - Saja Nakhleh

- Description updated

- Expected Result updated

- Actual Result updated

#7 - 07/04/2016 10:54 AM - Saja Nakhleh

- Description updated

- Expected Result updated

- Actual Result updated

#8 - 07/04/2016 12:01 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Shadi Abuomar

#9 - 07/10/2016 05:32 PM - Shadi Abuomar

- Status changed from Open to Fixed

- Assignee changed from Shadi Abuomar to Saja Nakhleh

- % Done changed from 0 to 100

- Environment Development added

- Environment deleted (QA)

09/02/2025 2/3



#10 - 07/10/2016 05:35 PM - Shadi Abuomar

- Expected Result updated

#11 - 07/19/2016 02:46 PM - Saja Nakhleh

- Status changed from Fixed to Closed

Tested and verified.
